@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
    text-align: center;
    background-color: #f0f0f0;
    padding: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

h1 {
    color: #333;
    user-select: none;
    font-size: 80px;
    margin-bottom: 30px;
}

p {
  font-size: 40px;
  color: #666;
  margin-top: 0;
  margin-bottom: 40px;
  text-align: center;
  white-space: pre-wrap;
  overflow-wrap : break-word;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
  min-height: 0;
  transition: min-height 0.3s;
  display: inline-block;
}

button {
  background-color: #4CAF50;
  color: white;
  padding: 32px 64px;
  font-size: 36px;
  border: none;
  border-radius: 5px;
  transition: background-color 0.3s;
}

button:hover {
    background-color: #45a049;
    cursor: pointer;
}

h1.animate__animated {
  animation-delay: 1s;
}

button#generer.animate__animated {
  animation-delay: 1.5s;
}
